%define upstream_name    Test-CPAN-Meta-YAML
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Validate META.json elements
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(Test::YAML::Valid) >= 0.30.0
BuildArch:  noarch

%description
This module was written to ensure that a META.yml file, provided with a
standard distribution uploaded to CPAN, meets the specifications that
slowly being introduced to module uploads, via the use of the
ExtUtils::MakeMaker manpage, the Module::Build manpage and the
Module::Install manpage.

See the CPAN::Meta manpage for further details of the CPAN Meta
Specification.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.250.0-3.mga6
+ Revision: 1034238
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.250.0-2.mga6
+ Revision: 967781
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.250.0-1.mga6
+ Revision: 850242
- update to 0.25

* Wed Oct 15 2014 umeabot <umeabot> 0.220.0-4.mga5
+ Revision: 744210
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.220.0-3.mga5
+ Revision: 686404
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.220.0-2.mga4
+ Revision: 530319
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 sander85 <sander85> 0.220.0-1.mga4
+ Revision: 457109
- update to 0.22

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 373378
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.210.0-1.mga3
+ Revision: 286526
- update to 0.21

* Tue Jun 05 2012 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 255497
- update to 0.20

* Sat Feb 26 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 60719
- imported package perl-Test-CPAN-Meta-YAML


* Sat Feb 26 2011 cpan2dist 0.17-1mga
- initial mageia release, generated with cpan2dist
